> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fetchserp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Locations

> Look up place names accepted by the `location` parameter of the Google SERP endpoints. Any `name` returned here can be passed as `location` as-is. Free of charge.



## OpenAPI

````yaml /openapi.json get /api/v1/locations
openapi: 3.1.0
info:
  title: API Documentation
  summary: 'OasRails: Automatic Interactive API Documentation for Rails'
  description: >+
    # FetchSERP API


    This API provides endpoints for retrieving search engine results, analyzing
    keyword and domain performance, scraping web content, and conducting SEO
    audits. It is designed to help developers access valuable SEO and SERP data
    programmatically.


    ## Authentication


    All API endpoints require Bearer token authentication.



    ## Rate Limiting


    The API has a rate limit of 600 requests per minute per API key. If you
    exceed this limit, you will receive a 429 status code.



    ## Available Resources


    - Get Backlinks : Get backlinks for a given domain

    - Get Domain Emails : Retrieve emails from a given domain

    - Get Domain Info : Get domain info including DNS records, WHOIS data, SSL
    certificates, and technology stack

    - Get Keywords search volume : Get search volume for given keywords

    - Get Keywords suggestions : Get keyword suggestions based on a url or a
    list of keywords

    - Get Long-tail Keywords Generator : Generate long-tail keywords for a given
    keyword

    - Get Page Indexation Check : Check if a domain is indexed for a given
    keyword

    - Get Domain Ranking : Get domain ranking for a given keyword

    - Get Web Page Scraping : Scrape a web page without JS

    - Get Domain Scraping : Scrape a domain

    - Post Web Page Scraping : Scrape a web page with custom JS

    - Post Web Page Scraping with Proxy : Scrape a web page with JS and proxy

    - Get Moz Domain Analysis : Get Moz domain analysis data

    - GET Search engine results : Get search engine results

    - GET Search engine results AI : Get search engine results with AI overview
    and AI mode response

    - GET Search engine results html : Get search engine results html content

    - GET Search engine results JS : Get search engine results with JS rendering

    - GET Search engine results text : Get search engine results text content

    - Get User : Get user information including api credit

    - Get Web Page AI Analysis : Analyze a web page with AI

    - Get SEO Analysis : Get SEO analysis for a given url


    For more information, contact contact@fetchserp.com

  termsOfService: ''
  contact:
    name: Support
    url: https://fetchserp.com
    email: contact@fetchserp.com
  license:
    name: GPL 3.0
    url: https://www.gnu.org/licenses/gpl-3.0.html#license-text
  version: 1.0.0
servers:
  - url: https://www.fetchserp.com
    description: Production
security:
  - bearer: []
tags:
  - name: Users
    description: Manage the `amazing` Users table.
paths:
  /api/v1/locations:
    get:
      tags:
        - Api
      summary: Locations
      description: >-
        Look up place names accepted by the `location` parameter of the Google
        SERP endpoints. Any `name` returned here can be passed as `location`
        as-is. Free of charge.
      operationId: index_api_v1_locations
      parameters:
        - $ref: '#/components/parameters/cea98d6c557f1d3904ea55bad3c97f04'
        - $ref: '#/components/parameters/3fb5156be195abe9a78dcfa52d0e0415'
        - $ref: '#/components/parameters/2fbb874677d66903862a7c7431b9927b'
      responses:
        '200':
          $ref: '#/components/responses/a90422450e9104cc43fa412db111509f'
        '401':
          $ref: '#/components/responses/8914c98e3ba37dc36b16e721f86fe52c'
        '403':
          $ref: '#/components/responses/db6c00b0fc58e54768d48e8b79e7a564'
        '422':
          $ref: '#/components/responses/ebfdcc92cdd9f33caf4161182a99ba88'
      security:
        - bearer: []
components:
  parameters:
    cea98d6c557f1d3904ea55bad3c97f04:
      name: q
      in: query
      description: >-
        Start of a place name or postal code (at least 2 characters), e.g.
        "brook", "austin", "112".
      required: true
      schema:
        type: string
      style: form
    3fb5156be195abe9a78dcfa52d0e0415:
      name: country
      in: query
      description: >-
        Two-letter country code to rank that country's places first (e.g. us).
        Default to us.
      required: false
      schema:
        type: string
      style: form
    2fbb874677d66903862a7c7431b9927b:
      name: limit
      in: query
      description: Number of locations to return (1-50). Default to 10.
      required: false
      schema:
        type: integer
      style: form
  responses:
    a90422450e9104cc43fa412db111509f:
      description: success
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/5f439210de6f5b40d459b6b6444eb40a'
    8914c98e3ba37dc36b16e721f86fe52c:
      description: Validation errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/9d665ada07b74ee5119ec08992fb01eb'
    db6c00b0fc58e54768d48e8b79e7a564:
      description: >-
        You are not allowed to access this resource. You do not have the
        necessary permissions.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/38bddf8128b086e90de170d98c730f6d'
    ebfdcc92cdd9f33caf4161182a99ba88:
      description: Validation errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/9d665ada07b74ee5119ec08992fb01eb'
  schemas:
    5f439210de6f5b40d459b6b6444eb40a:
      type: object
      properties:
        data:
          type: object
          properties:
            query:
              type: string
            country:
              type: string
            locations:
              type: array
              items:
                type: object
                properties:
                  name:
                    type: string
                  type:
                    type: string
                  latitude:
                    type: float
                  longitude:
                    type: float
                  timezone:
                    type: string
                  country_code:
                    type: string
                  postal_code:
                    type: string
                  population:
                    type: integer
                  geonameid:
                    type: integer
    9d665ada07b74ee5119ec08992fb01eb:
      type: object
      properties:
        error:
          type: string
    38bddf8128b086e90de170d98c730f6d:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
      required:
        - success
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: >-
        A bearer token that will be supplied within an `Authorization` header as
        `bearer <token>`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.